Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary:        giblib is a simple library which wraps imlib2.
Name:           giblib
Version:        1.2.4
Release:        1
License:        BSD
URL:            http://linuxbrit.co.uk/giblib/
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  imlib2-devel libX11-devel libXext-devel freetype-devel
BuildRequires:	zlib-devel

%description
giblib is a simple library which wraps imlib2. It provides a wrapper to 
imlib2's context API, avoiding all the context_get/set calls, adds 
fontstyles to the truetype renderer and supplies a generic doubly-linked 
list and some string functions.

%package devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}/usr/doc
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog README TODO
%_libdir/*.so.*
%_bindir/giblib-config


%files devel
%defattr (-, root, root)
%_includedir/giblib/*
%_libdir/*.so
%_libdir/*.*a
%_pkgconfig/giblib*

%clean
rm -rf %{buildroot}

%changelog
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.2.4-1
- Initial release

